Désactiver Gutenberg en ligne de commande

WordPress 5 est arrivé il y a peu, avec son nouvel éditeur Gutenberg qui change radicalement la mise en page avec ses blocs indépendants.

En plus de compliquer l’édition, d’après moi, il est difficile d’y retrouver ses repères, sans compter les bugs et la lenteur d’affichage de tous ces blocs.

Il est nécessaire néanmoins de faire la MAJ de WordPress pour des raisons de sécurité et passer le plus tôt possible à la version 5. Mais si vous ne voulez pas encore changer toutes vos pratiques de publication (ainsi que celles de vos clients) il faut désactiver cet éditeur.

Bien des utilisateurs sont furieux contre cette nouvelle vision forcée par Automattic et ils existent de nouveaux plugins pour revenir en arrière et laisser le choix.

Un plugin, c’est bien, mais lorsqu’on peut s’en passer contre une ligne de commande c’est encore mieux!

Désactiver Gutenberg en code

Il suffit d’aller dans le fichier Functions.php de votre thème par le FTP et d’y ajouter à la fin :

// disable for posts
add_filter(‘use_block_editor_for_post’, ‘__return_false’, 10);

// disable for post types
add_filter(‘use_block_editor_for_post_type’, ‘__return_false’, 10);

Cet article vous a aidé?

Notez-le

Motenne / 5. Votes :

Pas encore de vote

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *